Package org.kapott.hbci.manager

## Class FlickerCode.DE

- java.lang.Object
- - org.kapott.hbci.manager.FlickerCode.DE

Direct Known Subclasses:
  `FlickerCode.Startcode`

Enclosing class:
  FlickerCode

    public class FlickerCode.DE
    extends java.lang.Object

Bean fuer die Eigenschaften eines einzelnen DE.

### Field Summary

Fields
`java.lang.String` `data` Die eigentlichen Nutzdaten des DE.
`FlickerCode.Encoding` `encoding` Das Encoding der Nutzdaten.
`int` `lde` Die Laengen-Angabe des DE im Roh-Format.
`int` `ldeLen` Die Laenge des LDE.
`int` `length` Die tatsaechliche Laenge des DE.

### Constructor Summary

Constructors
`DE()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### length

    public int length

Die tatsaechliche Laenge des DE. Bereinigt um ggf. vorhandene Control-Bits.

#### lde

    public int lde

Die Laengen-Angabe des DE im Roh-Format. Sie kann noch Control-Bits enthalten, sollte daher also NICHT fuer Laengenberechnungen verwendet werden. In dem Fall stattdessen `length` verwenden.

#### ldeLen

    public int ldeLen

Die Laenge des LDE.

#### encoding

    public FlickerCode.Encoding encoding

Das Encoding der Nutzdaten. Per Definition ist im Challenge HHDuc dieses Bit noch NICHT gesetzt. Das Encoding passiert erst beim Rendering.

#### data

    public java.lang.String data

Die eigentlichen Nutzdaten des DE.

### Constructor Detail

#### DE

    public DE()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`
See Also:
  `Object.toString()`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`
See Also:
  `Object.equals(java.lang.Object)`